Bug 176638 - strange timings.
strange timings.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-28 04:26 EST by Dave Jones
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 13:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-12-28 04:26:50 EST
I fsck'd a volume and got this..

(04:08:30:davej@nwo:~)$ sudo fsck.ext3 /dev/ubf1
e2fsck 1.38 (30-Jun-2005)
/dev/ubf1 has been mounted 40 times without being checked, check forced.
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
/dev/ubf1: 945272/30654464 files (3.5% non-contiguous), 47183697/61277926 blocks
Memory used: 265k/0k (14k/251k), time:
-6582962482715820032.00/-6582962482715820032.00/-6582962482715820032.00


The 'time' fields look totally horked.  (They probably shouldn't be signed either)
Comment 1 Thomas Woerner 2006-01-02 06:19:27 EST
Do you have a reproducer for me? I tried, but could not.
Comment 2 Dave Jones 2006-01-02 23:47:32 EST
not really. That was against a 250GB drive with a few million files on it (It's
about 60% full)

I hit this on an x86-64 machine, but I don't know if it's unique to this arch..
Hmm. Could be a 64bit issue.. That number is a4a49e8000000000 in hex, with the
lower 32bits all zeros.

I can't explain why all three numbers are the same though.  And I still don't
have an idea why they would ever be needed to be expressed as signed numbers.

Comment 3 Eric Sandeen 2007-08-24 16:14:48 EDT
Dave, I knowit's a little late, but any idea if you were running 32-bit or
64-bit e2fsprogs on this x86_64 box?
Comment 4 Dave Jones 2007-09-24 14:29:55 EDT
Complete guess (as that box has been reinstalled n times in the last two years),
but I'd say it was very likely 64 bit.
Comment 5 Eric Sandeen 2008-01-08 13:35:02 EST
After a couple years, nobody can reproduce... whatever it was, I have to assume
it was fixed.  :)

Note You need to log in before you can comment on or make changes to this bug.